searchData={"items":[{"type":"module","title":"TowerBugsnag","doc":"Documentation for `TowerBugsnag`.","ref":"TowerBugsnag.html"},{"type":"module","title":"TowerBugsnag.Bugsnag.Client","doc":"","ref":"TowerBugsnag.Bugsnag.Client.html"},{"type":"function","title":"TowerBugsnag.Bugsnag.Client.send/1","doc":"","ref":"TowerBugsnag.Bugsnag.Client.html#send/1"},{"type":"module","title":"TowerBugsnag.Bugsnag.Event","doc":"","ref":"TowerBugsnag.Bugsnag.Event.html"},{"type":"function","title":"TowerBugsnag.Bugsnag.Event.from_tower_event/1","doc":"","ref":"TowerBugsnag.Bugsnag.Event.html#from_tower_event/1"},{"type":"module","title":"TowerBugsnag.Reporter","doc":"","ref":"TowerBugsnag.Reporter.html"},{"type":"function","title":"TowerBugsnag.Reporter.report_event/1","doc":"","ref":"TowerBugsnag.Reporter.html#report_event/1"},{"type":"extras","title":"TowerBugsnag","doc":"# TowerBugsnag\n\n[![ci](https://github.com/mimiquate/tower_bugsnag/actions/workflows/ci.yml/badge.svg?branch=main)](https://github.com/mimiquate/tower_bugsnag/actions?query=branch%3Amain)\n[![Hex.pm](https://img.shields.io/hexpm/v/tower_bugsnag.svg)](https://hex.pm/packages/tower_bugsnag)\n[![Documentation](https://img.shields.io/badge/Documentation-purple.svg)](https://hexdocs.pm/tower_bugsnag)\n\nElixir error tracking and reporting to [Bugsnag](https://www.bugsnag.com/).\n\n[Tower](https://github.com/mimiquate/tower) reporter for Bugsnag.","ref":"readme.html"},{"type":"extras","title":"Installation - TowerBugsnag","doc":"Package can be installed by adding `tower_bugsnag` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:tower_bugsnag, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - TowerBugsnag","doc":"First, attach `Tower` to automatically capture errors.\n\n```elixir\n# lib/ /application.ex\n\ndefmodule YourApp.Application do\n  def start(_type, _args) do\n    Tower.attach()\n\n    # rest of your code\n  end\n```\n\nThen tell `Tower` to inform `TowerBugsnag` about them.\n\n```elixir\n# config/config.exs\n\nconfig(\n  :tower,\n  :reporters,\n  [\n    # along any other possible reporters\n    TowerBugsnag\n  ]\n)\n```\n\nAnd finally configure `:tower_bugsnag`, with at least it's API key.\n\n```elixir\n# config/runtime.exs\n\nif config_env() == :prod do\n  config :tower_bugsnag, api_key: System.get_env(\"HONEYBADGER_API_KEY\")\nend\n```\n\nThat's it.\n\nIt will try report any errors (exceptions, throws or abnormal exits) within your application. That includes errors in\nany plug call (including Phoenix), Oban job, async task or any other Elixir process.","ref":"readme.html#usage"},{"type":"extras","title":"Manual reporting - TowerBugsnag","doc":"You can manually report errors just by informing `Tower` about any manually caught exceptions, throws or abnormal exits.\n\n\n```elixir\ntry do\n  # possibly crashing code\ncatch\n  kind, reason ->\n    Tower.handle_caught(kind, reason, __STACKTRACE__)\nend\n```\n\nMore details on https://hexdocs.pm/tower/Tower.html#module-manual-handling.","ref":"readme.html#manual-reporting"},{"type":"extras","title":"License - TowerBugsnag","doc":"Copyright 2024 Mimiquate\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\n    http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}